> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses workflowstest



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/workflows/test/{workflowId}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/workflows/test/{workflowId}:
    post:
      tags:
        - WorkflowManagement
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: workflowId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowExecutionRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowExecutionRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowExecutionRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    WorkflowsWorkflowExecutionRequest:
      required:
        - entityId
        - entityType
      type: object
      properties:
        entityId:
          minLength: 1
          type: string
        entityType:
          maxLength: 100
          minLength: 0
          type: string
        entityData:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        testMode:
          type: boolean
      additionalProperties: false

````